trafficserver-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "juergenp [core]" <juerg...@core.at>
Subject Re: ATS installation
Date Tue, 23 Jun 2020 10:54:04 GMT
libmemcached  should also be available by centos powertools rep.
did you enable it ?

dnf config-manager --set-enabled PowerTools
then:
dnf update


kr



On Tue, 23 Jun 2020 15:51:02 +0530 Trilok Nathreddy  wrote:
>one more screenshot.
>On Tue, Jun 23, 2020, 3:42 PM juergenp[core] <juergenp@core.at> wrote:>
>>
>>What exactly is failing ?
>>    
>>    kr
>>    Juergen
>>    
>>    
>>    Am 23.06.2020 um 11:58 schrieb Trilok      Nathreddy:        >
>>>        
>>>juergenp,  thanks for the inputs. This is the first time we          are looking
for POC in closed environment(no internet access)          on RHEL , i have arranged to copy
the rpm files to nexus          repository and install them which is failing. i am looking
to          install 8.06 on RHEL 8 , was curious if they are compatible          too.    
                         regards
>>>          Trilok Reddy
>>>                                          
>>>On Tue, Jun 23, 2020, 2:31              PM juergenp [core] <juergenp@core.at>
wrote:                        >
>>>>
>>>>                  Hello,
>>>>                   
>>>>                  i'm using centos8.2:
>>>>                                       
>>>>                  i have chosen minimal centos 8.2 installation and      
             then i used the following packages :
>>>>                  if any                    dependency fails, run the script
twice :-)
>>>>                   
>>>>                  -------------------------------
>>>>                  ** dnf install                    setuptool -y N/A     
              dnf install ntsysv -y                    dnf install curl -y               
    dnf install -y libtool                    dnf install gcc -y                    dnf install
make -y                    dnf install openssl -y                    dnf install pcre -y 
                  dnf install libcap -y                    dnf install flex -y
>>>>                  dnf install epel-release -y                    dnf install
dnf-utils http://rpms.remirepo.net/enterprise/remi-release-8.rpm                  
>>>>                  dnf config-manager --set-enabled PowerTool             
      dnf install hwloc* -y                    dnf install kernel-devel -y               
    dnf                    install lua -y                    dnf install zlib -y         
          dnf install curl -y                    dnf install curl-devel -y               
    dnf install ncurses-devel                    ncurses* -y                    dnf install
perl -y                    dnf install perl-devel -y                    dnf install geoip
geoip-devel -y                    dnf install                    libunwind libunwind-devel
-y                    dnf install tcl tcl-devel -y                    sudo dnf module reset
php                    sudo dnf module enable                    php:remi-7.4            
       sudo dnf install php -y                    dnf install php-gd php-mysqlnd php-soap
-y
                dnf install php-devel php-zip                    php-bcmath 
php-cli php-fpm php-mysqlnd php-zip                    php-devel php-gd 
php-mcrypt php-mbstring php-curl                    php-xml php-pear 
                   php-json                    dnf install GraphicsMagick 
GraphicsMagick-devel                    GraphicsMagick-perl -y 
                   dnf groupinstall 'Development                    Tools' 
                   dnf install net-tools -y                    dnf install 
git -y                    dnf install ghostscript ghostscript-devel -y 
                                       dnf                    install 
php-pecl-imagick                    dnf install libwebp* -y 
                   dnf install libpciaccess -y                    dnf 
install ImageMagick-c++-* -y                                        dnf 
install ImageMagick-c++-devel -y
dnf install bzip2 bzip2-devel -y                    dnf install pcre-devel 
-y                    dnf                    install brotli -y 
                   dnf install brotli-devel -y                    dnf 
install jansson-devel -y                    dnf install lua-* -y 
                   dnf install                    ccache -y 
                   dnf install luajit* -y                    dnf install 
python3 -y                    dnf install python3-devel -y 
                   dnf install                    python3-magic -y 
                   dnf install libtool-lt* -y                    dnf install 
libjpeg-turbo* -y                    dnf install openjpeg2 
                   openjpeg2-devel jasper-devel libwmf* libtiff 
                   libtiff-devel 
                                       -----------
>>>>                                      in case of GraphicsMagick is       
            not the latest:                                        wget ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/GraphicsMagick-LATEST.tar.gz
                   ./configure --enable-shared=yes                    --enable-static=yes
--with-modules=yes                    --with-jpeg=yes --with-lzma=yes                    --with-magick-plus-plus=yes
--with-png=yes                    --with-perl=yes --with-webp=yes --with-zlib=yes        
           --with-perl=yes --with-bzlib=yes --with-tcmalloc=yes                    --with-tiff=yes
                    make                    make test                    make install    
                                                                           cd /usr/local/src
                   wget https://pecl.php.net/get/gmagick                    tar xfvz gmagick
                   cd gmagick-*                    phpize 
                   ./configure                    make 
                   make install 
                                       -------------
>>>>                  # compile the software:
>>>>                  -------------                                          
                 git clone https://github.com/apache/trafficserver.git                   
                                                            autoreconf -if               
    ./configure --enable-experimental-plugins                    --prefix=/opt/ts #change
the prefix to your                    needs                    make                    make
test                    make install
>>>>                  --------------
>>>>                   
>>>>                   
>>>>                  hope this helps
>>>>                                       
>>>>                  kr
>>>>                   
>>>>                  **
>>>>                  Best Regards
>>>>                   
>>>>                  Jürgen Paulhart
>>>>                  [core]                    Informationstechnologie
>>>>                   
>>>>                  E-Mail / SIP / XMPP : juergenp@core.at
>>>>                  VoIP / Mobil: +43 676 30 59 244                  
>>>>                   
>>>>                  *** Information Technologies & Hosted Unified      
             Communications ***
>>>>                   
>>>>                  <** Diese                    Nachricht is signiert. Der
Inhalt wurde während des                    Transfers nicht verändert **>
>>>>                  <*** .. and if you don't                    know, now
you know, ... ***>
>>>>                   
>>>>                              
>>>
>>>
>>>
>>>
>>
>>
>
**
Best Regards

Jürgen Paulhart

E-Mail / SIP / XMPP : juergenp@core.at
VoIP / Mobil: +43 676 30 59 244

*** Information Technologies & Hosted Unified Communications ***

<** Diese Nachricht is signiert. Der Inhalt wurde während des Transfers 
nicht verändert **>
<*** .. and if you don't know, now you know, ... ***>





Mime
View raw message